//	Zinc Application Framework - D_TABLE.CPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_table.hpp>

// ----- ZafTable -----------------------------------------------------------
// ----- OS Specific Functions ----------------------------------------------

void ZafTable::OSMapPalette(ZafPaletteStruct &palette, ZafPaletteType type, ZafPaletteState state)
{
	ZafWindow::OSMapPalette(palette, type, state);
}

void ZafTable::OSRegisterObject(void)
{
	ZafWindow::OSRegisterObject();
}

OSWindowID ZafTable::OSScreenID(ZafScreenIDType type) const
{
	return (ZafWindow::OSScreenID(type));
}
